Index: i18n/en.ts
===================================================================
--- i18n/en.ts	(revision 6dfdef0c3ed18ad35c1221a71d194353eeee6eb7)
+++ i18n/en.ts	(revision 281303f1f7b967fd51b5ed994dc8305e849198d9)
@@ -140,6 +140,6 @@
     <name>MainWindow</name>
     <message>
-        <location filename="../src/mainwindow.cpp" line="543"/>
-        <location filename="../src/mainwindow.cpp" line="552"/>
+        <location filename="../src/mainwindow.cpp" line="558"/>
+        <location filename="../src/mainwindow.cpp" line="567"/>
         <source>Language change</source>
         <translation type="unfinished"></translation>
@@ -184,31 +184,36 @@
     <message>
         <location filename="../src/mainwindow.cpp" line="239"/>
-        <location filename="../src/mainwindow.cpp" line="289"/>
-        <location filename="../src/mainwindow.cpp" line="323"/>
+        <location filename="../src/mainwindow.cpp" line="297"/>
+        <location filename="../src/mainwindow.cpp" line="341"/>
         <source>All Files</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/mainwindow.cpp" line="285"/>
+        <location filename="../src/mainwindow.cpp" line="291"/>
+        <source>PDF Files</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message>
+        <location filename="../src/mainwindow.cpp" line="293"/>
         <source>HTML Files</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/mainwindow.cpp" line="287"/>
+        <location filename="../src/mainwindow.cpp" line="295"/>
         <source>OpenDocument Files</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/mainwindow.cpp" line="322"/>
+        <location filename="../src/mainwindow.cpp" line="340"/>
         <source>%1 Task File</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/mainwindow.cpp" line="353"/>
+        <location filename="../src/mainwindow.cpp" line="371"/>
         <source>Settings Changed</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/mainwindow.cpp" line="353"/>
+        <location filename="../src/mainwindow.cpp" line="371"/>
         <source>You have changed color settings.
 Do you wish to apply them to current solution text?</source>
@@ -216,56 +221,56 @@
     </message>
     <message>
-        <location filename="../src/mainwindow.cpp" line="438"/>
+        <location filename="../src/mainwindow.cpp" line="456"/>
         <source>Data error</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/mainwindow.cpp" line="438"/>
+        <location filename="../src/mainwindow.cpp" line="456"/>
         <source>Error in cell [Row %1; Column %2]: Invalid data format.</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/mainwindow.cpp" line="454"/>
+        <location filename="../src/mainwindow.cpp" line="469"/>
         <source>Variant #%1</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/mainwindow.cpp" line="455"/>
+        <location filename="../src/mainwindow.cpp" line="470"/>
         <source>Task:</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/mainwindow.cpp" line="458"/>
-        <location filename="../src/mainwindow.cpp" line="484"/>
+        <location filename="../src/mainwindow.cpp" line="473"/>
+        <location filename="../src/mainwindow.cpp" line="499"/>
         <source>Solution of Variant #%1 task</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/mainwindow.cpp" line="465"/>
+        <location filename="../src/mainwindow.cpp" line="480"/>
         <source>Step #%1</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/mainwindow.cpp" line="468"/>
+        <location filename="../src/mainwindow.cpp" line="483"/>
         <source>This step has alternate candidates for branching.</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/mainwindow.cpp" line="480"/>
+        <location filename="../src/mainwindow.cpp" line="495"/>
         <source>Optimal path:</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/mainwindow.cpp" line="482"/>
+        <location filename="../src/mainwindow.cpp" line="497"/>
         <source>The price is &lt;b&gt;%1&lt;/b&gt; units.</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/mainwindow.cpp" line="543"/>
+        <location filename="../src/mainwindow.cpp" line="558"/>
         <source>Language will be autodetected on next application start.</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../src/mainwindow.cpp" line="552"/>
+        <location filename="../src/mainwindow.cpp" line="567"/>
         <source>You have language autodetection turned on.
 It needs to be off.
@@ -274,7 +279,7 @@
     </message>
     <message>
+        <location filename="../src/mainwindow.h" line="78"/>
         <location filename="../src/mainwindow.cpp" line="263"/>
-        <location filename="../src/mainwindow.cpp" line="557"/>
-        <location filename="../src/mainwindow.h" line="78"/>
+        <location filename="../src/mainwindow.cpp" line="572"/>
         <source>Untitled</source>
         <translation type="unfinished"></translation>
@@ -657,5 +662,4 @@
     <name>SettingsDialog</name>
     <message>
-        <location filename="../ui/settingsdialog.ce.ui" line="14"/>
         <location filename="../ui/settingsdialog.ui" line="14"/>
         <source>Preferences</source>
@@ -663,118 +667,97 @@
     </message>
     <message>
-        <location filename="../ui/settingsdialog.ce.ui" line="100"/>
-        <location filename="../ui/settingsdialog.ui" line="151"/>
+        <location filename="../ui/settingsdialog.ui" line="338"/>
         <source>Random values:</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../ui/settingsdialog.ce.ui" line="114"/>
-        <location filename="../ui/settingsdialog.ui" line="165"/>
+        <location filename="../ui/settingsdialog.ui" line="346"/>
         <source>&amp;Minimal:</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../ui/settingsdialog.ce.ui" line="127"/>
-        <location filename="../ui/settingsdialog.ui" line="178"/>
+        <location filename="../ui/settingsdialog.ui" line="365"/>
         <source>Minimum for random number generation</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../ui/settingsdialog.ce.ui" line="150"/>
-        <location filename="../ui/settingsdialog.ui" line="201"/>
+        <location filename="../ui/settingsdialog.ui" line="382"/>
         <source>Ma&amp;ximal:</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../ui/settingsdialog.ce.ui" line="163"/>
-        <location filename="../ui/settingsdialog.ui" line="214"/>
+        <location filename="../ui/settingsdialog.ui" line="401"/>
         <source>Maximum for random number generation</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../ui/settingsdialog.ce.ui" line="184"/>
+        <location filename="../ui/settingsdialog.ui" line="428"/>
+        <source>Output settings:</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message>
+        <location filename="../ui/settingsdialog.ui" line="466"/>
+        <source>Font color for printing</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message>
+        <location filename="../ui/settingsdialog.ui" line="469"/>
+        <source>&amp;Color...</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message>
+        <location filename="../ui/settingsdialog.ui" line="443"/>
+        <source>Font face for printing</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message>
+        <location filename="../ui/settingsdialog.ui" line="446"/>
+        <source>&amp;Font...</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message>
         <location filename="../ui/settingsdialog.ui" line="235"/>
-        <source>Output settings:</source>
-        <translation type="unfinished"></translation>
-    </message>
-    <message>
-        <location filename="../ui/settingsdialog.ce.ui" line="210"/>
-        <location filename="../ui/settingsdialog.ui" line="261"/>
-        <source>Font color for printing</source>
-        <translation type="unfinished"></translation>
-    </message>
-    <message>
-        <location filename="../ui/settingsdialog.ce.ui" line="213"/>
-        <location filename="../ui/settingsdialog.ui" line="264"/>
-        <source>&amp;Color...</source>
-        <translation type="unfinished"></translation>
-    </message>
-    <message>
-        <location filename="../ui/settingsdialog.ce.ui" line="193"/>
-        <location filename="../ui/settingsdialog.ui" line="244"/>
-        <source>Font face for printing</source>
-        <translation type="unfinished"></translation>
-    </message>
-    <message>
-        <location filename="../ui/settingsdialog.ce.ui" line="196"/>
-        <location filename="../ui/settingsdialog.ui" line="247"/>
-        <source>&amp;Font...</source>
-        <translation type="unfinished"></translation>
-    </message>
-    <message>
-        <location filename="../ui/settingsdialog.ce.ui" line="279"/>
-        <location filename="../ui/settingsdialog.ce.ui" line="285"/>
-        <location filename="../ui/settingsdialog.ui" line="331"/>
-        <location filename="../ui/settingsdialog.ui" line="337"/>
+        <location filename="../ui/settingsdialog.ui" line="241"/>
         <source>Help</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../ui/settingsdialog.ce.ui" line="282"/>
-        <location filename="../ui/settingsdialog.ui" line="334"/>
+        <location filename="../ui/settingsdialog.ui" line="238"/>
         <source>Get preferences help</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../ui/settingsdialog.ce.ui" line="315"/>
-        <location filename="../ui/settingsdialog.ui" line="391"/>
+        <location filename="../ui/settingsdialog.ui" line="163"/>
         <source>Save new preferences</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../ui/settingsdialog.ce.ui" line="318"/>
-        <location filename="../ui/settingsdialog.ui" line="394"/>
+        <location filename="../ui/settingsdialog.ui" line="166"/>
         <source>&amp;OK</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../ui/settingsdialog.ce.ui" line="335"/>
-        <location filename="../ui/settingsdialog.ui" line="411"/>
+        <location filename="../ui/settingsdialog.ui" line="140"/>
         <source>Close without saving preferences</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../ui/settingsdialog.ce.ui" line="338"/>
-        <location filename="../ui/settingsdialog.ui" line="414"/>
+        <location filename="../ui/settingsdialog.ui" line="143"/>
         <source>&amp;Cancel</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../ui/settingsdialog.ui" line="41"/>
-        <source>background-color: #0080C0</source>
-        <translation type="unfinished"></translation>
-    </message>
-    <message>
-        <location filename="../ui/settingsdialog.ui" line="283"/>
+        <location filename="../src/settingsdialog.cpp" line="78"/>
         <source>Restore main window state and position on application restart</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../ui/settingsdialog.ui" line="286"/>
+        <location filename="../src/settingsdialog.cpp" line="80"/>
         <source>Save main window state and position</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <location filename="../ui/settingsdialog.ui" line="369"/>
+        <location filename="../src/settingsdialog.cpp" line="100"/>
+        <location filename="../ui/settingsdialog.ui" line="204"/>
         <source>Hover mouse pointer over dialog elements to get additional help</source>
         <translation type="unfinished"></translation>
Index: i18n/ru.ts
===================================================================
--- i18n/ru.ts	(revision 6dfdef0c3ed18ad35c1221a71d194353eeee6eb7)
+++ i18n/ru.ts	(revision 281303f1f7b967fd51b5ed994dc8305e849198d9)
@@ -148,6 +148,6 @@
     <name>MainWindow</name>
     <message>
-        <location filename="../src/mainwindow.cpp" line="540"/>
-        <location filename="../src/mainwindow.cpp" line="549"/>
+        <location filename="../src/mainwindow.cpp" line="558"/>
+        <location filename="../src/mainwindow.cpp" line="567"/>
         <source>Language change</source>
         <translation>Смена языка</translation>
@@ -176,6 +176,6 @@
     <message>
         <location filename="../src/mainwindow.cpp" line="239"/>
-        <location filename="../src/mainwindow.cpp" line="289"/>
-        <location filename="../src/mainwindow.cpp" line="323"/>
+        <location filename="../src/mainwindow.cpp" line="297"/>
+        <location filename="../src/mainwindow.cpp" line="341"/>
         <source>All Files</source>
         <translation>Все файлы</translation>
@@ -198,25 +198,30 @@
     </message>
     <message>
-        <location filename="../src/mainwindow.cpp" line="285"/>
+        <location filename="../src/mainwindow.cpp" line="291"/>
+        <source>PDF Files</source>
+        <translation>Файли PDF</translation>
+    </message>
+    <message>
+        <location filename="../src/mainwindow.cpp" line="293"/>
         <source>HTML Files</source>
         <translation>Файлы HTML</translation>
     </message>
     <message>
-        <location filename="../src/mainwindow.cpp" line="287"/>
+        <location filename="../src/mainwindow.cpp" line="295"/>
         <source>OpenDocument Files</source>
         <translation>Файлы OpenDocument</translation>
     </message>
     <message>
-        <location filename="../src/mainwindow.cpp" line="322"/>
+        <location filename="../src/mainwindow.cpp" line="340"/>
         <source>%1 Task File</source>
         <translation>Файл условия %1</translation>
     </message>
     <message>
-        <location filename="../src/mainwindow.cpp" line="353"/>
+        <location filename="../src/mainwindow.cpp" line="371"/>
         <source>Settings Changed</source>
         <translation>Параметры изменены</translation>
     </message>
     <message>
-        <location filename="../src/mainwindow.cpp" line="353"/>
+        <location filename="../src/mainwindow.cpp" line="371"/>
         <source>You have changed color settings.
 Do you wish to apply them to current solution text?</source>
@@ -225,56 +230,56 @@
     </message>
     <message>
-        <location filename="../src/mainwindow.cpp" line="438"/>
+        <location filename="../src/mainwindow.cpp" line="456"/>
         <source>Data error</source>
         <translation>Ошибка в данных</translation>
     </message>
     <message>
-        <location filename="../src/mainwindow.cpp" line="438"/>
+        <location filename="../src/mainwindow.cpp" line="456"/>
         <source>Error in cell [Row %1; Column %2]: Invalid data format.</source>
         <translation>Ошибка в ячейке [Строка %1; Колонка %2]: Неверный формат данных.</translation>
     </message>
     <message>
-        <location filename="../src/mainwindow.cpp" line="451"/>
+        <location filename="../src/mainwindow.cpp" line="469"/>
         <source>Variant #%1</source>
         <translation>Вариант №%1</translation>
     </message>
     <message>
-        <location filename="../src/mainwindow.cpp" line="452"/>
+        <location filename="../src/mainwindow.cpp" line="470"/>
         <source>Task:</source>
         <translation>Условие:</translation>
     </message>
     <message>
-        <location filename="../src/mainwindow.cpp" line="455"/>
-        <location filename="../src/mainwindow.cpp" line="481"/>
+        <location filename="../src/mainwindow.cpp" line="473"/>
+        <location filename="../src/mainwindow.cpp" line="499"/>
         <source>Solution of Variant #%1 task</source>
         <translation>Решение варианта №%1</translation>
     </message>
     <message>
-        <location filename="../src/mainwindow.cpp" line="462"/>
+        <location filename="../src/mainwindow.cpp" line="480"/>
         <source>Step #%1</source>
         <translation>Шаг №%1</translation>
     </message>
     <message>
-        <location filename="../src/mainwindow.cpp" line="465"/>
+        <location filename="../src/mainwindow.cpp" line="483"/>
         <source>This step has alternate candidates for branching.</source>
         <translation>У этого шага есть альтернативные кандидаты на ветвление.</translation>
     </message>
     <message>
-        <location filename="../src/mainwindow.cpp" line="477"/>
+        <location filename="../src/mainwindow.cpp" line="495"/>
         <source>Optimal path:</source>
         <translation>Оптимальный путь:</translation>
     </message>
     <message>
-        <location filename="../src/mainwindow.cpp" line="479"/>
+        <location filename="../src/mainwindow.cpp" line="497"/>
         <source>The price is &lt;b&gt;%1&lt;/b&gt; units.</source>
         <translation>Стоимость - &lt;b&gt;%1&lt;/b&gt; единиц.</translation>
     </message>
     <message>
-        <location filename="../src/mainwindow.cpp" line="540"/>
+        <location filename="../src/mainwindow.cpp" line="558"/>
         <source>Language will be autodetected on next application start.</source>
         <translation>Язык будет автоматически определен при следующем запуске приложения.</translation>
     </message>
     <message>
-        <location filename="../src/mainwindow.cpp" line="549"/>
+        <location filename="../src/mainwindow.cpp" line="567"/>
         <source>You have language autodetection turned on.
 It needs to be off.
@@ -287,5 +292,5 @@
         <location filename="../src/mainwindow.h" line="78"/>
         <location filename="../src/mainwindow.cpp" line="263"/>
-        <location filename="../src/mainwindow.cpp" line="554"/>
+        <location filename="../src/mainwindow.cpp" line="572"/>
         <source>Untitled</source>
         <translation>Без имени</translation>
@@ -668,5 +673,4 @@
     <name>SettingsDialog</name>
     <message>
-        <location filename="../ui/settingsdialog.ce.ui" line="14"/>
         <location filename="../ui/settingsdialog.ui" line="14"/>
         <source>Preferences</source>
@@ -674,118 +678,97 @@
     </message>
     <message>
-        <location filename="../ui/settingsdialog.ce.ui" line="100"/>
-        <location filename="../ui/settingsdialog.ui" line="151"/>
+        <location filename="../ui/settingsdialog.ui" line="338"/>
         <source>Random values:</source>
         <translation>Случайные значения:</translation>
     </message>
     <message>
-        <location filename="../ui/settingsdialog.ce.ui" line="114"/>
-        <location filename="../ui/settingsdialog.ui" line="165"/>
+        <location filename="../ui/settingsdialog.ui" line="346"/>
         <source>&amp;Minimal:</source>
         <translation>&amp;Минимум:</translation>
     </message>
     <message>
-        <location filename="../ui/settingsdialog.ce.ui" line="127"/>
-        <location filename="../ui/settingsdialog.ui" line="178"/>
+        <location filename="../ui/settingsdialog.ui" line="365"/>
         <source>Minimum for random number generation</source>
         <translation>Нижняя граница для генерации случайных значений</translation>
     </message>
     <message>
-        <location filename="../ui/settingsdialog.ce.ui" line="150"/>
-        <location filename="../ui/settingsdialog.ui" line="201"/>
+        <location filename="../ui/settingsdialog.ui" line="382"/>
         <source>Ma&amp;ximal:</source>
         <translation>М&amp;аксимум:</translation>
     </message>
     <message>
-        <location filename="../ui/settingsdialog.ce.ui" line="163"/>
-        <location filename="../ui/settingsdialog.ui" line="214"/>
+        <location filename="../ui/settingsdialog.ui" line="401"/>
         <source>Maximum for random number generation</source>
         <translation>Верхняя граница для генерации случайных значений</translation>
     </message>
     <message>
-        <location filename="../ui/settingsdialog.ce.ui" line="184"/>
-        <location filename="../ui/settingsdialog.ui" line="235"/>
+        <location filename="../ui/settingsdialog.ui" line="428"/>
         <source>Output settings:</source>
         <translation>Параметры вывода:</translation>
     </message>
     <message>
-        <location filename="../ui/settingsdialog.ce.ui" line="210"/>
-        <location filename="../ui/settingsdialog.ui" line="261"/>
+        <location filename="../ui/settingsdialog.ui" line="466"/>
         <source>Font color for printing</source>
         <translation>Цвет шрифта, используемого при печати</translation>
     </message>
     <message>
-        <location filename="../ui/settingsdialog.ce.ui" line="213"/>
-        <location filename="../ui/settingsdialog.ui" line="264"/>
+        <location filename="../ui/settingsdialog.ui" line="469"/>
         <source>&amp;Color...</source>
         <translation>&amp;Цвет...</translation>
     </message>
     <message>
-        <location filename="../ui/settingsdialog.ce.ui" line="193"/>
-        <location filename="../ui/settingsdialog.ui" line="244"/>
+        <location filename="../ui/settingsdialog.ui" line="443"/>
         <source>Font face for printing</source>
         <translation>Вид шрифта, используемого при печати</translation>
     </message>
     <message>
-        <location filename="../ui/settingsdialog.ce.ui" line="196"/>
-        <location filename="../ui/settingsdialog.ui" line="247"/>
+        <location filename="../ui/settingsdialog.ui" line="446"/>
         <source>&amp;Font...</source>
         <translation>&amp;Шрифт...</translation>
     </message>
     <message>
-        <location filename="../ui/settingsdialog.ce.ui" line="279"/>
-        <location filename="../ui/settingsdialog.ce.ui" line="285"/>
-        <location filename="../ui/settingsdialog.ui" line="331"/>
-        <location filename="../ui/settingsdialog.ui" line="337"/>
+        <location filename="../ui/settingsdialog.ui" line="235"/>
+        <location filename="../ui/settingsdialog.ui" line="241"/>
         <source>Help</source>
         <translation>Помощь</translation>
     </message>
     <message>
-        <location filename="../ui/settingsdialog.ce.ui" line="282"/>
-        <location filename="../ui/settingsdialog.ui" line="334"/>
+        <location filename="../ui/settingsdialog.ui" line="238"/>
         <source>Get preferences help</source>
         <translation>Получить помощь по настройкам</translation>
     </message>
     <message>
-        <location filename="../ui/settingsdialog.ce.ui" line="315"/>
-        <location filename="../ui/settingsdialog.ui" line="391"/>
+        <location filename="../ui/settingsdialog.ui" line="163"/>
         <source>Save new preferences</source>
         <translation>Сохранить новые параметры</translation>
     </message>
     <message>
-        <location filename="../ui/settingsdialog.ce.ui" line="318"/>
-        <location filename="../ui/settingsdialog.ui" line="394"/>
+        <location filename="../ui/settingsdialog.ui" line="166"/>
         <source>&amp;OK</source>
         <translation></translation>
     </message>
     <message>
-        <location filename="../ui/settingsdialog.ce.ui" line="335"/>
-        <location filename="../ui/settingsdialog.ui" line="411"/>
+        <location filename="../ui/settingsdialog.ui" line="140"/>
         <source>Close without saving preferences</source>
         <translation>Закрыть окно без сохранения параметров</translation>
     </message>
     <message>
-        <location filename="../ui/settingsdialog.ce.ui" line="338"/>
-        <location filename="../ui/settingsdialog.ui" line="414"/>
+        <location filename="../ui/settingsdialog.ui" line="143"/>
         <source>&amp;Cancel</source>
         <translation>&amp;Отмена</translation>
     </message>
     <message>
-        <location filename="../ui/settingsdialog.ui" line="41"/>
-        <source>background-color: #0080C0</source>
-        <translation></translation>
-    </message>
-    <message>
-        <location filename="../ui/settingsdialog.ui" line="283"/>
+        <location filename="../src/settingsdialog.cpp" line="78"/>
         <source>Restore main window state and position on application restart</source>
         <translation>Восстанавливать состояние и размеры главного окна после перезапуска приложения</translation>
     </message>
     <message>
-        <location filename="../ui/settingsdialog.ui" line="286"/>
+        <location filename="../src/settingsdialog.cpp" line="80"/>
         <source>Save main window state and position</source>
         <translation>Сохранять состояние и положение главного окна</translation>
     </message>
     <message>
-        <location filename="../ui/settingsdialog.ui" line="369"/>
+        <location filename="../src/settingsdialog.cpp" line="100"/>
+        <location filename="../ui/settingsdialog.ui" line="204"/>
         <source>Hover mouse pointer over dialog elements to get additional help</source>
         <translation>Наведите указатель мыши на элемент диалога, чтоб получить подсказку</translation>
Index: i18n/uk.ts
===================================================================
--- i18n/uk.ts	(revision 6dfdef0c3ed18ad35c1221a71d194353eeee6eb7)
+++ i18n/uk.ts	(revision 281303f1f7b967fd51b5ed994dc8305e849198d9)
@@ -521,6 +521,6 @@
     </message>
     <message>
-        <location filename="../src/mainwindow.cpp" line="540"/>
-        <location filename="../src/mainwindow.cpp" line="549"/>
+        <location filename="../src/mainwindow.cpp" line="558"/>
+        <location filename="../src/mainwindow.cpp" line="567"/>
         <source>Language change</source>
         <translation>Зміна мови</translation>
@@ -549,6 +549,6 @@
     <message>
         <location filename="../src/mainwindow.cpp" line="239"/>
-        <location filename="../src/mainwindow.cpp" line="289"/>
-        <location filename="../src/mainwindow.cpp" line="323"/>
+        <location filename="../src/mainwindow.cpp" line="297"/>
+        <location filename="../src/mainwindow.cpp" line="341"/>
         <source>All Files</source>
         <translation>Усі файли</translation>
@@ -571,25 +571,30 @@
     </message>
     <message>
-        <location filename="../src/mainwindow.cpp" line="285"/>
+        <location filename="../src/mainwindow.cpp" line="291"/>
+        <source>PDF Files</source>
+        <translation>Файлы PDF</translation>
+    </message>
+    <message>
+        <location filename="../src/mainwindow.cpp" line="293"/>
         <source>HTML Files</source>
         <translation>Файли HTML</translation>
     </message>
     <message>
-        <location filename="../src/mainwindow.cpp" line="287"/>
+        <location filename="../src/mainwindow.cpp" line="295"/>
         <source>OpenDocument Files</source>
         <translation>Файли OpenDocument</translation>
     </message>
     <message>
-        <location filename="../src/mainwindow.cpp" line="322"/>
+        <location filename="../src/mainwindow.cpp" line="340"/>
         <source>%1 Task File</source>
         <translation>Файл умови %1</translation>
     </message>
     <message>
-        <location filename="../src/mainwindow.cpp" line="353"/>
+        <location filename="../src/mainwindow.cpp" line="371"/>
         <source>Settings Changed</source>
         <translation>Параметри змінено</translation>
     </message>
     <message>
-        <location filename="../src/mainwindow.cpp" line="353"/>
+        <location filename="../src/mainwindow.cpp" line="371"/>
         <source>You have changed color settings.
 Do you wish to apply them to current solution text?</source>
@@ -598,56 +603,56 @@
     </message>
     <message>
-        <location filename="../src/mainwindow.cpp" line="438"/>
+        <location filename="../src/mainwindow.cpp" line="456"/>
         <source>Data error</source>
         <translation>Помилка у даних</translation>
     </message>
     <message>
-        <location filename="../src/mainwindow.cpp" line="438"/>
+        <location filename="../src/mainwindow.cpp" line="456"/>
         <source>Error in cell [Row %1; Column %2]: Invalid data format.</source>
         <translation>Помилка у комірці  [Рядок %1; Колонка %2]: Невірний формат даних.</translation>
     </message>
     <message>
-        <location filename="../src/mainwindow.cpp" line="451"/>
+        <location filename="../src/mainwindow.cpp" line="469"/>
         <source>Variant #%1</source>
         <translation>Варіант №%1</translation>
     </message>
     <message>
-        <location filename="../src/mainwindow.cpp" line="452"/>
+        <location filename="../src/mainwindow.cpp" line="470"/>
         <source>Task:</source>
         <translation>Умова:</translation>
     </message>
     <message>
-        <location filename="../src/mainwindow.cpp" line="455"/>
-        <location filename="../src/mainwindow.cpp" line="481"/>
+        <location filename="../src/mainwindow.cpp" line="473"/>
+        <location filename="../src/mainwindow.cpp" line="499"/>
         <source>Solution of Variant #%1 task</source>
         <translation>Розв&apos;язок варіанту №%1</translation>
     </message>
     <message>
-        <location filename="../src/mainwindow.cpp" line="462"/>
+        <location filename="../src/mainwindow.cpp" line="480"/>
         <source>Step #%1</source>
         <translation>Крок №%1</translation>
     </message>
     <message>
-        <location filename="../src/mainwindow.cpp" line="465"/>
+        <location filename="../src/mainwindow.cpp" line="483"/>
         <source>This step has alternate candidates for branching.</source>
         <translation>У цьому кроці є альтернативні кандидати на розгалудження.</translation>
     </message>
     <message>
-        <location filename="../src/mainwindow.cpp" line="477"/>
+        <location filename="../src/mainwindow.cpp" line="495"/>
         <source>Optimal path:</source>
         <translation>Оптимальний шлях:</translation>
     </message>
     <message>
-        <location filename="../src/mainwindow.cpp" line="479"/>
+        <location filename="../src/mainwindow.cpp" line="497"/>
         <source>The price is &lt;b&gt;%1&lt;/b&gt; units.</source>
         <translation>Вартість - &lt;b&gt;%1&lt;/b&gt; одиниць.</translation>
     </message>
     <message>
-        <location filename="../src/mainwindow.cpp" line="540"/>
+        <location filename="../src/mainwindow.cpp" line="558"/>
         <source>Language will be autodetected on next application start.</source>
         <translation>Мову буде автоматично визначено при наступному запуску додатку.</translation>
     </message>
     <message>
-        <location filename="../src/mainwindow.cpp" line="549"/>
+        <location filename="../src/mainwindow.cpp" line="567"/>
         <source>You have language autodetection turned on.
 It needs to be off.
@@ -660,5 +665,5 @@
         <location filename="../src/mainwindow.h" line="78"/>
         <location filename="../src/mainwindow.cpp" line="263"/>
-        <location filename="../src/mainwindow.cpp" line="554"/>
+        <location filename="../src/mainwindow.cpp" line="572"/>
         <source>Untitled</source>
         <translation>Без імені</translation>
@@ -668,25 +673,20 @@
     <name>SettingsDialog</name>
     <message>
-        <location filename="../ui/settingsdialog.ui" line="41"/>
-        <source>background-color: #0080C0</source>
-        <translation></translation>
-    </message>
-    <message>
-        <location filename="../ui/settingsdialog.ui" line="283"/>
+        <location filename="../src/settingsdialog.cpp" line="78"/>
         <source>Restore main window state and position on application restart</source>
         <translation>Відновлювати стан та розмір головного вікна після перезапуску додатку</translation>
     </message>
     <message>
-        <location filename="../ui/settingsdialog.ui" line="286"/>
+        <location filename="../src/settingsdialog.cpp" line="80"/>
         <source>Save main window state and position</source>
         <translation>Зберегти стан та розміщення головного вікна</translation>
     </message>
     <message>
-        <location filename="../ui/settingsdialog.ui" line="369"/>
+        <location filename="../src/settingsdialog.cpp" line="100"/>
+        <location filename="../ui/settingsdialog.ui" line="204"/>
         <source>Hover mouse pointer over dialog elements to get additional help</source>
         <translation>Наведіть покажчик миші на елемент ділогу, щоб отримати підказку</translation>
     </message>
     <message>
-        <location filename="../ui/settingsdialog.ce.ui" line="14"/>
         <location filename="../ui/settingsdialog.ui" line="14"/>
         <source>Preferences</source>
@@ -694,98 +694,81 @@
     </message>
     <message>
-        <location filename="../ui/settingsdialog.ce.ui" line="100"/>
-        <location filename="../ui/settingsdialog.ui" line="151"/>
+        <location filename="../ui/settingsdialog.ui" line="338"/>
         <source>Random values:</source>
         <translation>Випадкові значення:</translation>
     </message>
     <message>
-        <location filename="../ui/settingsdialog.ce.ui" line="114"/>
-        <location filename="../ui/settingsdialog.ui" line="165"/>
+        <location filename="../ui/settingsdialog.ui" line="346"/>
         <source>&amp;Minimal:</source>
         <translation>&amp;Мінімум:</translation>
     </message>
     <message>
-        <location filename="../ui/settingsdialog.ce.ui" line="127"/>
-        <location filename="../ui/settingsdialog.ui" line="178"/>
+        <location filename="../ui/settingsdialog.ui" line="365"/>
         <source>Minimum for random number generation</source>
         <translation>Нажня межа для генерації випадкових значень</translation>
     </message>
     <message>
-        <location filename="../ui/settingsdialog.ce.ui" line="150"/>
-        <location filename="../ui/settingsdialog.ui" line="201"/>
+        <location filename="../ui/settingsdialog.ui" line="382"/>
         <source>Ma&amp;ximal:</source>
         <translation>М&amp;аксимум:</translation>
     </message>
     <message>
-        <location filename="../ui/settingsdialog.ce.ui" line="163"/>
-        <location filename="../ui/settingsdialog.ui" line="214"/>
+        <location filename="../ui/settingsdialog.ui" line="401"/>
         <source>Maximum for random number generation</source>
         <translation>Верхня межа для генерації випадкових значень</translation>
     </message>
     <message>
-        <location filename="../ui/settingsdialog.ce.ui" line="184"/>
-        <location filename="../ui/settingsdialog.ui" line="235"/>
+        <location filename="../ui/settingsdialog.ui" line="428"/>
         <source>Output settings:</source>
         <translation>Параметри виводу:</translation>
     </message>
     <message>
-        <location filename="../ui/settingsdialog.ce.ui" line="210"/>
-        <location filename="../ui/settingsdialog.ui" line="261"/>
+        <location filename="../ui/settingsdialog.ui" line="466"/>
         <source>Font color for printing</source>
         <translation>Колір шрифта для друку</translation>
     </message>
     <message>
-        <location filename="../ui/settingsdialog.ce.ui" line="213"/>
-        <location filename="../ui/settingsdialog.ui" line="264"/>
+        <location filename="../ui/settingsdialog.ui" line="469"/>
         <source>&amp;Color...</source>
         <translation>&amp;Колір...</translation>
     </message>
     <message>
-        <location filename="../ui/settingsdialog.ce.ui" line="193"/>
-        <location filename="../ui/settingsdialog.ui" line="244"/>
+        <location filename="../ui/settingsdialog.ui" line="443"/>
         <source>Font face for printing</source>
         <translation>Вигляд шрифта для друку</translation>
     </message>
     <message>
-        <location filename="../ui/settingsdialog.ce.ui" line="196"/>
-        <location filename="../ui/settingsdialog.ui" line="247"/>
+        <location filename="../ui/settingsdialog.ui" line="446"/>
         <source>&amp;Font...</source>
         <translation>&amp;Шрифт...</translation>
     </message>
     <message>
-        <location filename="../ui/settingsdialog.ce.ui" line="279"/>
-        <location filename="../ui/settingsdialog.ce.ui" line="285"/>
-        <location filename="../ui/settingsdialog.ui" line="331"/>
-        <location filename="../ui/settingsdialog.ui" line="337"/>
+        <location filename="../ui/settingsdialog.ui" line="235"/>
+        <location filename="../ui/settingsdialog.ui" line="241"/>
         <source>Help</source>
         <translation>Допомога</translation>
     </message>
     <message>
-        <location filename="../ui/settingsdialog.ce.ui" line="282"/>
-        <location filename="../ui/settingsdialog.ui" line="334"/>
+        <location filename="../ui/settingsdialog.ui" line="238"/>
         <source>Get preferences help</source>
         <translation>Отримати допомогу по налагодженням</translation>
     </message>
     <message>
-        <location filename="../ui/settingsdialog.ce.ui" line="315"/>
-        <location filename="../ui/settingsdialog.ui" line="391"/>
+        <location filename="../ui/settingsdialog.ui" line="163"/>
         <source>Save new preferences</source>
         <translation>Зберегти нові параметри</translation>
     </message>
     <message>
-        <location filename="../ui/settingsdialog.ce.ui" line="318"/>
-        <location filename="../ui/settingsdialog.ui" line="394"/>
+        <location filename="../ui/settingsdialog.ui" line="166"/>
         <source>&amp;OK</source>
         <translation></translation>
     </message>
     <message>
-        <location filename="../ui/settingsdialog.ce.ui" line="335"/>
-        <location filename="../ui/settingsdialog.ui" line="411"/>
+        <location filename="../ui/settingsdialog.ui" line="140"/>
         <source>Close without saving preferences</source>
         <translation>Закрити вікно без збереження параметрів</translation>
     </message>
     <message>
-        <location filename="../ui/settingsdialog.ce.ui" line="338"/>
-        <location filename="../ui/settingsdialog.ui" line="414"/>
+        <location filename="../ui/settingsdialog.ui" line="143"/>
         <source>&amp;Cancel</source>
         <translation>&amp;Скасувати</translation>
Index: src/os.h
===================================================================
--- src/os.h	(revision 6dfdef0c3ed18ad35c1221a71d194353eeee6eb7)
+++ src/os.h	(revision 281303f1f7b967fd51b5ed994dc8305e849198d9)
@@ -43,4 +43,5 @@
 #endif // ARCH
 
+// Target OS detection. Done by Qt, so should work with any compiler.
 #ifdef Q_OS_AIX
 	#define OS "AIX"ARCH
Index: src/settingsdialog.cpp
===================================================================
--- src/settingsdialog.cpp	(revision 6dfdef0c3ed18ad35c1221a71d194353eeee6eb7)
+++ src/settingsdialog.cpp	(revision 281303f1f7b967fd51b5ed994dc8305e849198d9)
@@ -28,4 +28,127 @@
 {
 	setupUi(this);
+	// Laying out elements
+#ifdef Q_OS_WINCE
+	// Layout helper elements
+QVBoxLayout *vbox1, *vbox2;
+QHBoxLayout *hbox1, *hbox2;
+QSpacerItem *spacer;
+
+	labelRandMin->setSizePolicy(QSizePolicy::Expanding,QSizePolicy::Preferred);
+	labelRandMax->setSizePolicy(QSizePolicy::Expanding,QSizePolicy::Preferred);
+
+	// Top part (with white bg)
+	vbox2 = new QVBoxLayout(bgWhite);
+	vbox2->addWidget(groupRandomSettings);
+	vbox2->addWidget(groupOutputSettings);
+	spacer = new QSpacerItem(0,0,QSizePolicy::Minimum,QSizePolicy::Expanding);
+	vbox2->addItem(spacer);
+
+	// Output settings group
+	hbox1 = new QHBoxLayout(groupOutputSettings);
+	hbox1->addWidget(buttonFont);
+	hbox1->addWidget(buttonColor);
+
+	// Bottom part (with grey bg)
+	hbox2 = new QHBoxLayout(bgGrey);
+	hbox2->setMargin(6);
+	hbox2->setSpacing(6);
+	hbox2->addWidget(buttonHelp);
+	spacer = new QSpacerItem(0,0,QSizePolicy::Expanding);
+	hbox2->addItem(spacer);
+	hbox2->addWidget(buttonOK);
+	hbox2->addWidget(buttonCancel);
+
+	// Central layout
+	vbox1 = new QVBoxLayout(this);
+	vbox1->setMargin(0);
+	vbox1->setSpacing(0);
+	vbox1->addWidget(bgWhite);
+	vbox1->addWidget(lineHorizontal);
+	vbox1->addWidget(bgGrey);
+#else
+	// Layout helper elements
+QVBoxLayout *vbox1, *vbox2, *vbox3;
+QHBoxLayout *hbox1, *hbox2, *hbox3;
+QSpacerItem *spacer;
+
+	cbSaveState = new QCheckBox(bgWhite);
+	cbSaveState->setObjectName("cbSaveState");
+#ifndef QT_NO_STATUSTIP
+	cbSaveState->setStatusTip(trUtf8("Restore main window state and position on application restart"));
+#endif // QT_NO_STATUSTIP
+	cbSaveState->setText(trUtf8("Save main window state and position"));
+	cbSaveState->setCursor(QCursor(Qt::PointingHandCursor));
+
+	imgIcon = new QLabel(this);
+	imgIcon->setObjectName("imgIcon");
+	imgIcon->setFrameShape(QFrame::StyledPanel);
+	imgIcon->setLineWidth(0);
+	imgIcon->setPixmap(QPixmap(QString::fromUtf8(":/images/icons/preferences_system.png")));
+	imgIcon->setStyleSheet("background-color: #0080C0;");
+	imgIcon->setAlignment(Qt::AlignCenter);
+
+	labelHint = new QLabel(bgGrey);
+	labelHint->setObjectName("labelHint");
+	labelHint->setSizePolicy(QSizePolicy::Expanding,QSizePolicy::Preferred);
+	labelHint->setMinimumSize(QSize(175,28));
+	labelHint->setMaximumSize(QSize(0xFFFFFF,28));
+	labelHint->setTextFormat(Qt::PlainText);
+//	labelHint->setAlignment(Qt::AlignLeft | Qt::AlignTop);
+	labelHint->setWordWrap(true);
+#ifndef QT_NO_STATUSTIP
+	labelHint->setStatusTip(trUtf8("Hover mouse pointer over dialog elements to get additional help"));
+#endif // QT_NO_STATUSTIP
+
+	lineVertical = new QFrame(this);
+	lineVertical->setObjectName("lineVertical");
+	lineVertical->setFrameShadow(QFrame::Plain);
+	lineVertical->setFrameShape(QFrame::VLine);
+	lineVertical->setLineWidth(2);
+
+	// Top line
+	hbox1 = new QHBoxLayout();
+	hbox1->addWidget(imgIcon);
+	hbox1->addWidget(lineVertical);
+	hbox1->addWidget(bgWhite);
+
+	// Output settings group
+	vbox3 = new QVBoxLayout(groupOutputSettings);
+	vbox3->addWidget(buttonFont);
+	vbox3->addWidget(buttonColor);
+
+	// Random and Output settings groups
+	hbox2 = new QHBoxLayout();
+	hbox2->addWidget(groupRandomSettings);
+	hbox2->addWidget(groupOutputSettings);
+	spacer = new QSpacerItem(0,0,QSizePolicy::Expanding);
+	hbox2->addItem(spacer);
+
+	// Top right part (with white bg)
+	vbox2 = new QVBoxLayout(bgWhite);
+	spacer = new QSpacerItem(0,0,QSizePolicy::Minimum,QSizePolicy::Expanding);
+	vbox2->addItem(spacer);
+	vbox2->addLayout(hbox2);
+	vbox2->addWidget(cbSaveState);
+	spacer = new QSpacerItem(0,0,QSizePolicy::Minimum,QSizePolicy::Expanding);
+	vbox2->addItem(spacer);
+
+	// Bottom part (with grey bg)
+	hbox3 = new QHBoxLayout(bgGrey);
+	hbox3->setMargin(6);
+	hbox3->setSpacing(6);
+	hbox3->addWidget(buttonHelp);
+	hbox3->addWidget(labelHint);
+	hbox3->addWidget(buttonOK);
+	hbox3->addWidget(buttonCancel);
+
+	// Central layout
+	vbox1 = new QVBoxLayout(this);
+	vbox1->setMargin(0);
+	vbox1->setSpacing(0);
+	vbox1->addLayout(hbox1);
+	vbox1->addWidget(lineHorizontal);
+	vbox1->addWidget(bgGrey);
+#endif // Q_OS_WINCE
 	connect(buttonOK,SIGNAL(clicked()),this,SLOT(accept()));
 	connect(buttonCancel,SIGNAL(clicked()),this,SLOT(reject()));
Index: src/settingsdialog.h
===================================================================
--- src/settingsdialog.h	(revision 6dfdef0c3ed18ad35c1221a71d194353eeee6eb7)
+++ src/settingsdialog.h	(revision 281303f1f7b967fd51b5ed994dc8305e849198d9)
@@ -26,9 +26,5 @@
 
 #include "globals.h"
-#ifdef Q_OS_WINCE
-	#include "ui_settingsdialog.ce.h"
-#else
-	#include "ui_settingsdialog.h"
-#endif // Q_OS_WINCE
+#include "ui_settingsdialog.h"
 
 class SettingsDialog: public QDialog, public Ui::SettingsDialog
@@ -37,13 +33,20 @@
 public:
 	SettingsDialog(QWidget *parent = 0);
+	bool colorChanged() const;
 	bool fontChanged() const;
-	bool colorChanged() const;
+
+#ifndef Q_OS_WINCE
+	QCheckBox *cbSaveState;
+	QLabel *imgIcon;
+	QLabel *labelHint;
+	QFrame *lineVertical;
+#endif // Q_OS_WINCE
 
 private:
-	QSettings *settings;
+	QColor color;
 	QFont font;
-	QColor color;
 	bool newFont;
 	bool newColor;
+	QSettings *settings;
 #ifndef Q_OS_WINCE
 	bool event(QEvent *);
@@ -52,7 +55,7 @@
 private slots:
 	void accept();
+	void buttonColorClicked();
+	void buttonFontClicked();
 	void spinRandMinValueChanged(int val) { spinRandMax->setMinimum(val + 1); }
-	void buttonFontClicked();
-	void buttonColorClicked();
 };
 
Index: tspsg.pri
===================================================================
--- tspsg.pri	(revision 6dfdef0c3ed18ad35c1221a71d194353eeee6eb7)
+++ tspsg.pri	(revision 281303f1f7b967fd51b5ed994dc8305e849198d9)
@@ -30,6 +30,5 @@
 #Forms
 FORMS += ui/mainwindow.ui \
-	ui/settingsdialog.ui \
-	ui/settingsdialog.ce.ui
+	ui/settingsdialog.ui
 
 #Resource file(s)
Index: settingsdialog.ce.ui
===================================================================
--- ui/settingsdialog.ce.ui	(revision 6dfdef0c3ed18ad35c1221a71d194353eeee6eb7)
+++ 	(revision )
@@ -1,354 +1,0 @@
-<?xml version="1.0" encoding="UTF-8"?>
-<ui version="4.0">
- <class>SettingsDialog</class>
- <widget class="QWidget" name="SettingsDialog">
-  <property name="geometry">
-   <rect>
-    <x>0</x>
-    <y>0</y>
-    <width>205</width>
-    <height>212</height>
-   </rect>
-  </property>
-  <property name="windowTitle">
-   <string>Preferences</string>
-  </property>
-  <property name="windowIcon">
-   <iconset resource="../resources/tspsg.qrc">
-    <normaloff>:/images/icons/preferences_system.png</normaloff>:/images/icons/preferences_system.png</iconset>
-  </property>
-  <layout class="QVBoxLayout" name="verticalLayout_2">
-   <property name="spacing">
-    <number>0</number>
-   </property>
-   <property name="margin">
-    <number>0</number>
-   </property>
-   <item>
-    <widget class="QWidget" name="background" native="true">
-     <property name="palette">
-      <palette>
-       <active>
-        <colorrole role="Base">
-         <brush brushstyle="SolidPattern">
-          <color alpha="255">
-           <red>255</red>
-           <green>255</green>
-           <blue>255</blue>
-          </color>
-         </brush>
-        </colorrole>
-        <colorrole role="Window">
-         <brush brushstyle="SolidPattern">
-          <color alpha="255">
-           <red>255</red>
-           <green>255</green>
-           <blue>255</blue>
-          </color>
-         </brush>
-        </colorrole>
-       </active>
-       <inactive>
-        <colorrole role="Base">
-         <brush brushstyle="SolidPattern">
-          <color alpha="255">
-           <red>255</red>
-           <green>255</green>
-           <blue>255</blue>
-          </color>
-         </brush>
-        </colorrole>
-        <colorrole role="Window">
-         <brush brushstyle="SolidPattern">
-          <color alpha="255">
-           <red>255</red>
-           <green>255</green>
-           <blue>255</blue>
-          </color>
-         </brush>
-        </colorrole>
-       </inactive>
-       <disabled>
-        <colorrole role="Base">
-         <brush brushstyle="SolidPattern">
-          <color alpha="255">
-           <red>255</red>
-           <green>255</green>
-           <blue>255</blue>
-          </color>
-         </brush>
-        </colorrole>
-        <colorrole role="Window">
-         <brush brushstyle="SolidPattern">
-          <color alpha="255">
-           <red>255</red>
-           <green>255</green>
-           <blue>255</blue>
-          </color>
-         </brush>
-        </colorrole>
-       </disabled>
-      </palette>
-     </property>
-     <property name="autoFillBackground">
-      <bool>true</bool>
-     </property>
-     <layout class="QVBoxLayout" name="verticalLayout">
-      <item>
-       <widget class="QGroupBox" name="groupRandomSettings">
-        <property name="title">
-         <string>Random values:</string>
-        </property>
-        <layout class="QVBoxLayout" name="_5">
-         <item>
-          <layout class="QHBoxLayout" name="_6">
-           <item>
-            <widget class="QLabel" name="labelRandMin">
-             <property name="sizePolicy">
-              <sizepolicy hsizetype="Expanding" vsizetype="Preferred">
-               <horstretch>0</horstretch>
-               <verstretch>0</verstretch>
-              </sizepolicy>
-             </property>
-             <property name="text">
-              <string>&amp;Minimal:</string>
-             </property>
-             <property name="buddy">
-              <cstring>spinRandMin</cstring>
-             </property>
-            </widget>
-           </item>
-           <item>
-            <widget class="QSpinBox" name="spinRandMin">
-             <property name="cursor">
-              <cursorShape>PointingHandCursor</cursorShape>
-             </property>
-             <property name="statusTip">
-              <string>Minimum for random number generation</string>
-             </property>
-             <property name="maximum">
-              <number>1000</number>
-             </property>
-             <property name="value">
-              <number>1</number>
-             </property>
-            </widget>
-           </item>
-          </layout>
-         </item>
-         <item>
-          <layout class="QHBoxLayout" name="_7">
-           <item>
-            <widget class="QLabel" name="labelRandMax">
-             <property name="sizePolicy">
-              <sizepolicy hsizetype="Expanding" vsizetype="Preferred">
-               <horstretch>0</horstretch>
-               <verstretch>0</verstretch>
-              </sizepolicy>
-             </property>
-             <property name="text">
-              <string>Ma&amp;ximal:</string>
-             </property>
-             <property name="buddy">
-              <cstring>spinRandMax</cstring>
-             </property>
-            </widget>
-           </item>
-           <item>
-            <widget class="QSpinBox" name="spinRandMax">
-             <property name="cursor">
-              <cursorShape>PointingHandCursor</cursorShape>
-             </property>
-             <property name="statusTip">
-              <string>Maximum for random number generation</string>
-             </property>
-             <property name="minimum">
-              <number>1</number>
-             </property>
-             <property name="maximum">
-              <number>1000</number>
-             </property>
-             <property name="value">
-              <number>10</number>
-             </property>
-            </widget>
-           </item>
-          </layout>
-         </item>
-        </layout>
-       </widget>
-      </item>
-      <item>
-       <widget class="QGroupBox" name="groupOutputSettings">
-        <property name="title">
-         <string>Output settings:</string>
-        </property>
-        <layout class="QHBoxLayout" name="horizontalLayout">
-         <item>
-          <widget class="QPushButton" name="buttonFont">
-           <property name="cursor">
-            <cursorShape>PointingHandCursor</cursorShape>
-           </property>
-           <property name="statusTip">
-            <string>Font face for printing</string>
-           </property>
-           <property name="text">
-            <string>&amp;Font...</string>
-           </property>
-           <property name="icon">
-            <iconset resource="../resources/tspsg.qrc">
-             <normaloff>:/images/icons/fonts.png</normaloff>:/images/icons/fonts.png</iconset>
-           </property>
-          </widget>
-         </item>
-         <item>
-          <widget class="QPushButton" name="buttonColor">
-           <property name="cursor">
-            <cursorShape>PointingHandCursor</cursorShape>
-           </property>
-           <property name="statusTip">
-            <string>Font color for printing</string>
-           </property>
-           <property name="text">
-            <string>&amp;Color...</string>
-           </property>
-           <property name="icon">
-            <iconset resource="../resources/tspsg.qrc">
-             <normaloff>:/images/icons/color_line.png</normaloff>:/images/icons/color_line.png</iconset>
-           </property>
-          </widget>
-         </item>
-        </layout>
-       </widget>
-      </item>
-      <item>
-       <spacer name="verticalSpacer">
-        <property name="orientation">
-         <enum>Qt::Vertical</enum>
-        </property>
-        <property name="sizeHint" stdset="0">
-         <size>
-          <width>20</width>
-          <height>41</height>
-         </size>
-        </property>
-       </spacer>
-      </item>
-     </layout>
-    </widget>
-   </item>
-   <item>
-    <widget class="Line" name="lineHorizontal">
-     <property name="maximumSize">
-      <size>
-       <width>16777215</width>
-       <height>2</height>
-      </size>
-     </property>
-     <property name="frameShadow">
-      <enum>QFrame::Plain</enum>
-     </property>
-     <property name="lineWidth">
-      <number>2</number>
-     </property>
-     <property name="orientation">
-      <enum>Qt::Horizontal</enum>
-     </property>
-    </widget>
-   </item>
-   <item>
-    <layout class="QHBoxLayout">
-     <property name="spacing">
-      <number>6</number>
-     </property>
-     <property name="sizeConstraint">
-      <enum>QLayout::SetFixedSize</enum>
-     </property>
-     <property name="margin">
-      <number>6</number>
-     </property>
-     <item>
-      <widget class="QToolButton" name="buttonHelp">
-       <property name="enabled">
-        <bool>false</bool>
-       </property>
-       <property name="cursor">
-        <cursorShape>PointingHandCursor</cursorShape>
-       </property>
-       <property name="toolTip">
-        <string>Help</string>
-       </property>
-       <property name="statusTip">
-        <string>Get preferences help</string>
-       </property>
-       <property name="text">
-        <string>Help</string>
-       </property>
-       <property name="icon">
-        <iconset resource="../resources/tspsg.qrc">
-         <normaloff>:/images/icons/help_hint.png</normaloff>:/images/icons/help_hint.png</iconset>
-       </property>
-       <property name="autoRaise">
-        <bool>true</bool>
-       </property>
-      </widget>
-     </item>
-     <item>
-      <spacer name="horizontalSpacer_4">
-       <property name="orientation">
-        <enum>Qt::Horizontal</enum>
-       </property>
-       <property name="sizeHint" stdset="0">
-        <size>
-         <width>40</width>
-         <height>20</height>
-        </size>
-       </property>
-      </spacer>
-     </item>
-     <item>
-      <widget class="QPushButton" name="buttonOK">
-       <property name="cursor">
-        <cursorShape>PointingHandCursor</cursorShape>
-       </property>
-       <property name="statusTip">
-        <string>Save new preferences</string>
-       </property>
-       <property name="text">
-        <string>&amp;OK</string>
-       </property>
-       <property name="icon">
-        <iconset resource="../resources/tspsg.qrc">
-         <normaloff>:/images/icons/button_ok.png</normaloff>:/images/icons/button_ok.png</iconset>
-       </property>
-       <property name="default">
-        <bool>true</bool>
-       </property>
-      </widget>
-     </item>
-     <item>
-      <widget class="QPushButton" name="buttonCancel">
-       <property name="cursor">
-        <cursorShape>PointingHandCursor</cursorShape>
-       </property>
-       <property name="statusTip">
-        <string>Close without saving preferences</string>
-       </property>
-       <property name="text">
-        <string>&amp;Cancel</string>
-       </property>
-       <property name="icon">
-        <iconset resource="../resources/tspsg.qrc">
-         <normaloff>:/images/icons/button_cancel.png</normaloff>:/images/icons/button_cancel.png</iconset>
-       </property>
-      </widget>
-     </item>
-    </layout>
-   </item>
-  </layout>
- </widget>
- <resources>
-  <include location="../resources/tspsg.qrc"/>
- </resources>
- <connections/>
-</ui>
Index: ui/settingsdialog.ui
===================================================================
--- ui/settingsdialog.ui	(revision 6dfdef0c3ed18ad35c1221a71d194353eeee6eb7)
+++ ui/settingsdialog.ui	(revision 281303f1f7b967fd51b5ed994dc8305e849198d9)
@@ -7,6 +7,6 @@
     <x>0</x>
     <y>0</y>
-    <width>415</width>
-    <height>176</height>
+    <width>243</width>
+    <height>174</height>
    </rect>
   </property>
@@ -18,419 +18,464 @@
     <normaloff>:/images/icons/preferences_system.png</normaloff>:/images/icons/preferences_system.png</iconset>
   </property>
-  <layout class="QVBoxLayout">
-   <property name="spacing">
-    <number>0</number>
-   </property>
-   <property name="margin">
-    <number>0</number>
-   </property>
-   <item>
-    <layout class="QHBoxLayout">
-     <property name="spacing">
-      <number>0</number>
-     </property>
+  <widget class="Line" name="lineHorizontal">
+   <property name="geometry">
+    <rect>
+     <x>0</x>
+     <y>120</y>
+     <width>241</width>
+     <height>2</height>
+    </rect>
+   </property>
+   <property name="maximumSize">
+    <size>
+     <width>16777215</width>
+     <height>2</height>
+    </size>
+   </property>
+   <property name="frameShadow">
+    <enum>QFrame::Plain</enum>
+   </property>
+   <property name="lineWidth">
+    <number>2</number>
+   </property>
+   <property name="orientation">
+    <enum>Qt::Horizontal</enum>
+   </property>
+  </widget>
+  <widget class="QWidget" name="bgGrey" native="true">
+   <property name="geometry">
+    <rect>
+     <x>0</x>
+     <y>130</y>
+     <width>241</width>
+     <height>41</height>
+    </rect>
+   </property>
+   <property name="sizePolicy">
+    <sizepolicy hsizetype="Preferred" vsizetype="Fixed">
+     <horstretch>0</horstretch>
+     <verstretch>0</verstretch>
+    </sizepolicy>
+   </property>
+   <property name="palette">
+    <palette>
+     <active>
+      <colorrole role="Base">
+       <brush brushstyle="SolidPattern">
+        <color alpha="255">
+         <red>240</red>
+         <green>240</green>
+         <blue>240</blue>
+        </color>
+       </brush>
+      </colorrole>
+      <colorrole role="Window">
+       <brush brushstyle="SolidPattern">
+        <color alpha="255">
+         <red>240</red>
+         <green>240</green>
+         <blue>240</blue>
+        </color>
+       </brush>
+      </colorrole>
+     </active>
+     <inactive>
+      <colorrole role="Base">
+       <brush brushstyle="SolidPattern">
+        <color alpha="255">
+         <red>240</red>
+         <green>240</green>
+         <blue>240</blue>
+        </color>
+       </brush>
+      </colorrole>
+      <colorrole role="Window">
+       <brush brushstyle="SolidPattern">
+        <color alpha="255">
+         <red>240</red>
+         <green>240</green>
+         <blue>240</blue>
+        </color>
+       </brush>
+      </colorrole>
+     </inactive>
+     <disabled>
+      <colorrole role="Base">
+       <brush brushstyle="SolidPattern">
+        <color alpha="255">
+         <red>240</red>
+         <green>240</green>
+         <blue>240</blue>
+        </color>
+       </brush>
+      </colorrole>
+      <colorrole role="Window">
+       <brush brushstyle="SolidPattern">
+        <color alpha="255">
+         <red>240</red>
+         <green>240</green>
+         <blue>240</blue>
+        </color>
+       </brush>
+      </colorrole>
+     </disabled>
+    </palette>
+   </property>
+   <property name="autoFillBackground">
+    <bool>true</bool>
+   </property>
+   <widget class="QPushButton" name="buttonCancel">
+    <property name="geometry">
+     <rect>
+      <x>160</x>
+      <y>10</y>
+      <width>75</width>
+      <height>24</height>
+     </rect>
+    </property>
+    <property name="cursor">
+     <cursorShape>PointingHandCursor</cursorShape>
+    </property>
+    <property name="statusTip">
+     <string>Close without saving preferences</string>
+    </property>
+    <property name="text">
+     <string>&amp;Cancel</string>
+    </property>
+    <property name="icon">
+     <iconset resource="../resources/tspsg.qrc">
+      <normaloff>:/images/icons/button_cancel.png</normaloff>:/images/icons/button_cancel.png</iconset>
+    </property>
+   </widget>
+   <widget class="QPushButton" name="buttonOK">
+    <property name="geometry">
+     <rect>
+      <x>80</x>
+      <y>10</y>
+      <width>77</width>
+      <height>26</height>
+     </rect>
+    </property>
+    <property name="cursor">
+     <cursorShape>PointingHandCursor</cursorShape>
+    </property>
+    <property name="statusTip">
+     <string>Save new preferences</string>
+    </property>
+    <property name="text">
+     <string>&amp;OK</string>
+    </property>
+    <property name="icon">
+     <iconset resource="../resources/tspsg.qrc">
+      <normaloff>:/images/icons/button_ok.png</normaloff>:/images/icons/button_ok.png</iconset>
+    </property>
+    <property name="default">
+     <bool>true</bool>
+    </property>
+   </widget>
+   <widget class="QLabel" name="labelHint">
+    <property name="geometry">
+     <rect>
+      <x>50</x>
+      <y>10</y>
+      <width>16</width>
+      <height>28</height>
+     </rect>
+    </property>
+    <property name="sizePolicy">
+     <sizepolicy hsizetype="Expanding" vsizetype="Preferred">
+      <horstretch>0</horstretch>
+      <verstretch>0</verstretch>
+     </sizepolicy>
+    </property>
+    <property name="minimumSize">
+     <size>
+      <width>0</width>
+      <height>28</height>
+     </size>
+    </property>
+    <property name="maximumSize">
+     <size>
+      <width>16777215</width>
+      <height>28</height>
+     </size>
+    </property>
+    <property name="statusTip">
+     <string>Hover mouse pointer over dialog elements to get additional help</string>
+    </property>
+    <property name="text">
+     <string/>
+    </property>
+    <property name="textFormat">
+     <enum>Qt::PlainText</enum>
+    </property>
+    <property name="alignment">
+     <set>Qt::AlignJustify|Qt::AlignTop</set>
+    </property>
+    <property name="wordWrap">
+     <bool>true</bool>
+    </property>
+   </widget>
+   <widget class="QToolButton" name="buttonHelp">
+    <property name="enabled">
+     <bool>false</bool>
+    </property>
+    <property name="geometry">
+     <rect>
+      <x>10</x>
+      <y>10</y>
+      <width>23</width>
+      <height>22</height>
+     </rect>
+    </property>
+    <property name="cursor">
+     <cursorShape>PointingHandCursor</cursorShape>
+    </property>
+    <property name="toolTip">
+     <string>Help</string>
+    </property>
+    <property name="statusTip">
+     <string>Get preferences help</string>
+    </property>
+    <property name="text">
+     <string>Help</string>
+    </property>
+    <property name="icon">
+     <iconset resource="../resources/tspsg.qrc">
+      <normaloff>:/images/icons/help_hint.png</normaloff>:/images/icons/help_hint.png</iconset>
+    </property>
+    <property name="autoRaise">
+     <bool>true</bool>
+    </property>
+   </widget>
+  </widget>
+  <widget class="QWidget" name="bgWhite" native="true">
+   <property name="geometry">
+    <rect>
+     <x>0</x>
+     <y>0</y>
+     <width>239</width>
+     <height>111</height>
+    </rect>
+   </property>
+   <property name="palette">
+    <palette>
+     <active>
+      <colorrole role="Base">
+       <brush brushstyle="SolidPattern">
+        <color alpha="255">
+         <red>255</red>
+         <green>255</green>
+         <blue>255</blue>
+        </color>
+       </brush>
+      </colorrole>
+      <colorrole role="Window">
+       <brush brushstyle="SolidPattern">
+        <color alpha="255">
+         <red>255</red>
+         <green>255</green>
+         <blue>255</blue>
+        </color>
+       </brush>
+      </colorrole>
+     </active>
+     <inactive>
+      <colorrole role="Base">
+       <brush brushstyle="SolidPattern">
+        <color alpha="255">
+         <red>255</red>
+         <green>255</green>
+         <blue>255</blue>
+        </color>
+       </brush>
+      </colorrole>
+      <colorrole role="Window">
+       <brush brushstyle="SolidPattern">
+        <color alpha="255">
+         <red>255</red>
+         <green>255</green>
+         <blue>255</blue>
+        </color>
+       </brush>
+      </colorrole>
+     </inactive>
+     <disabled>
+      <colorrole role="Base">
+       <brush brushstyle="SolidPattern">
+        <color alpha="255">
+         <red>255</red>
+         <green>255</green>
+         <blue>255</blue>
+        </color>
+       </brush>
+      </colorrole>
+      <colorrole role="Window">
+       <brush brushstyle="SolidPattern">
+        <color alpha="255">
+         <red>255</red>
+         <green>255</green>
+         <blue>255</blue>
+        </color>
+       </brush>
+      </colorrole>
+     </disabled>
+    </palette>
+   </property>
+   <property name="autoFillBackground">
+    <bool>true</bool>
+   </property>
+   <widget class="QGroupBox" name="groupRandomSettings">
+    <property name="geometry">
+     <rect>
+      <x>10</x>
+      <y>10</y>
+      <width>115</width>
+      <height>84</height>
+     </rect>
+    </property>
+    <property name="title">
+     <string>Random values:</string>
+    </property>
+    <layout class="QVBoxLayout">
      <item>
-      <widget class="QLabel" name="imageSide">
-       <property name="minimumSize">
-        <size>
-         <width>130</width>
-         <height>0</height>
-        </size>
-       </property>
-       <property name="styleSheet">
-        <string>background-color: #0080C0</string>
-       </property>
-       <property name="frameShape">
-        <enum>QFrame::StyledPanel</enum>
-       </property>
-       <property name="lineWidth">
-        <number>0</number>
-       </property>
-       <property name="text">
-        <string/>
-       </property>
-       <property name="pixmap">
-        <pixmap resource="../resources/tspsg.qrc">:/images/icons/preferences_system.png</pixmap>
-       </property>
-       <property name="alignment">
-        <set>Qt::AlignCenter</set>
-       </property>
-      </widget>
+      <layout class="QHBoxLayout">
+       <item>
+        <widget class="QLabel" name="labelRandMin">
+         <property name="text">
+          <string>&amp;Minimal:</string>
+         </property>
+         <property name="buddy">
+          <cstring>spinRandMin</cstring>
+         </property>
+        </widget>
+       </item>
+       <item>
+        <widget class="QSpinBox" name="spinRandMin">
+         <property name="sizePolicy">
+          <sizepolicy hsizetype="Fixed" vsizetype="Fixed">
+           <horstretch>0</horstretch>
+           <verstretch>0</verstretch>
+          </sizepolicy>
+         </property>
+         <property name="cursor">
+          <cursorShape>PointingHandCursor</cursorShape>
+         </property>
+         <property name="statusTip">
+          <string>Minimum for random number generation</string>
+         </property>
+         <property name="maximum">
+          <number>1000</number>
+         </property>
+         <property name="value">
+          <number>1</number>
+         </property>
+        </widget>
+       </item>
+      </layout>
      </item>
      <item>
-      <widget class="Line" name="lineVertical">
-       <property name="frameShadow">
-        <enum>QFrame::Plain</enum>
-       </property>
-       <property name="lineWidth">
-        <number>2</number>
-       </property>
-       <property name="orientation">
-        <enum>Qt::Vertical</enum>
-       </property>
-      </widget>
-     </item>
-     <item>
-      <widget class="QWidget" name="background" native="true">
-       <property name="palette">
-        <palette>
-         <active>
-          <colorrole role="Base">
-           <brush brushstyle="SolidPattern">
-            <color alpha="255">
-             <red>255</red>
-             <green>255</green>
-             <blue>255</blue>
-            </color>
-           </brush>
-          </colorrole>
-          <colorrole role="Window">
-           <brush brushstyle="SolidPattern">
-            <color alpha="255">
-             <red>255</red>
-             <green>255</green>
-             <blue>255</blue>
-            </color>
-           </brush>
-          </colorrole>
-         </active>
-         <inactive>
-          <colorrole role="Base">
-           <brush brushstyle="SolidPattern">
-            <color alpha="255">
-             <red>255</red>
-             <green>255</green>
-             <blue>255</blue>
-            </color>
-           </brush>
-          </colorrole>
-          <colorrole role="Window">
-           <brush brushstyle="SolidPattern">
-            <color alpha="255">
-             <red>255</red>
-             <green>255</green>
-             <blue>255</blue>
-            </color>
-           </brush>
-          </colorrole>
-         </inactive>
-         <disabled>
-          <colorrole role="Base">
-           <brush brushstyle="SolidPattern">
-            <color alpha="255">
-             <red>255</red>
-             <green>255</green>
-             <blue>255</blue>
-            </color>
-           </brush>
-          </colorrole>
-          <colorrole role="Window">
-           <brush brushstyle="SolidPattern">
-            <color alpha="255">
-             <red>255</red>
-             <green>255</green>
-             <blue>255</blue>
-            </color>
-           </brush>
-          </colorrole>
-         </disabled>
-        </palette>
-       </property>
-       <property name="autoFillBackground">
-        <bool>true</bool>
-       </property>
-       <layout class="QVBoxLayout">
-        <item>
-         <layout class="QHBoxLayout">
-          <property name="spacing">
-           <number>6</number>
-          </property>
-          <item>
-           <widget class="QGroupBox" name="groupRandomSettings">
-            <property name="title">
-             <string>Random values:</string>
-            </property>
-            <layout class="QVBoxLayout">
-             <item>
-              <layout class="QHBoxLayout">
-               <item>
-                <widget class="QLabel" name="labelRandMin">
-                 <property name="sizePolicy">
-                  <sizepolicy hsizetype="Expanding" vsizetype="Preferred">
-                   <horstretch>0</horstretch>
-                   <verstretch>0</verstretch>
-                  </sizepolicy>
-                 </property>
-                 <property name="text">
-                  <string>&amp;Minimal:</string>
-                 </property>
-                 <property name="buddy">
-                  <cstring>spinRandMin</cstring>
-                 </property>
-                </widget>
-               </item>
-               <item>
-                <widget class="QSpinBox" name="spinRandMin">
-                 <property name="cursor">
-                  <cursorShape>PointingHandCursor</cursorShape>
-                 </property>
-                 <property name="statusTip">
-                  <string>Minimum for random number generation</string>
-                 </property>
-                 <property name="maximum">
-                  <number>1000</number>
-                 </property>
-                 <property name="value">
-                  <number>1</number>
-                 </property>
-                </widget>
-               </item>
-              </layout>
-             </item>
-             <item>
-              <layout class="QHBoxLayout">
-               <item>
-                <widget class="QLabel" name="labelRandMax">
-                 <property name="sizePolicy">
-                  <sizepolicy hsizetype="Expanding" vsizetype="Preferred">
-                   <horstretch>0</horstretch>
-                   <verstretch>0</verstretch>
-                  </sizepolicy>
-                 </property>
-                 <property name="text">
-                  <string>Ma&amp;ximal:</string>
-                 </property>
-                 <property name="buddy">
-                  <cstring>spinRandMax</cstring>
-                 </property>
-                </widget>
-               </item>
-               <item>
-                <widget class="QSpinBox" name="spinRandMax">
-                 <property name="cursor">
-                  <cursorShape>PointingHandCursor</cursorShape>
-                 </property>
-                 <property name="statusTip">
-                  <string>Maximum for random number generation</string>
-                 </property>
-                 <property name="minimum">
-                  <number>1</number>
-                 </property>
-                 <property name="maximum">
-                  <number>1000</number>
-                 </property>
-                 <property name="value">
-                  <number>10</number>
-                 </property>
-                </widget>
-               </item>
-              </layout>
-             </item>
-            </layout>
-           </widget>
-          </item>
-          <item>
-           <widget class="QGroupBox" name="groupOutputSettings">
-            <property name="title">
-             <string>Output settings:</string>
-            </property>
-            <layout class="QVBoxLayout" name="verticalLayout">
-             <item>
-              <widget class="QPushButton" name="buttonFont">
-               <property name="cursor">
-                <cursorShape>PointingHandCursor</cursorShape>
-               </property>
-               <property name="statusTip">
-                <string>Font face for printing</string>
-               </property>
-               <property name="text">
-                <string>&amp;Font...</string>
-               </property>
-               <property name="icon">
-                <iconset resource="../resources/tspsg.qrc">
-                 <normaloff>:/images/icons/fonts.png</normaloff>:/images/icons/fonts.png</iconset>
-               </property>
-              </widget>
-             </item>
-             <item>
-              <widget class="QPushButton" name="buttonColor">
-               <property name="cursor">
-                <cursorShape>PointingHandCursor</cursorShape>
-               </property>
-               <property name="statusTip">
-                <string>Font color for printing</string>
-               </property>
-               <property name="text">
-                <string>&amp;Color...</string>
-               </property>
-               <property name="icon">
-                <iconset resource="../resources/tspsg.qrc">
-                 <normaloff>:/images/icons/color_line.png</normaloff>:/images/icons/color_line.png</iconset>
-               </property>
-              </widget>
-             </item>
-            </layout>
-           </widget>
-          </item>
-         </layout>
-        </item>
-        <item>
-         <widget class="QCheckBox" name="cbSaveState">
-          <property name="cursor">
-           <cursorShape>PointingHandCursor</cursorShape>
-          </property>
-          <property name="statusTip">
-           <string>Restore main window state and position on application restart</string>
-          </property>
-          <property name="text">
-           <string>Save main window state and position</string>
-          </property>
-         </widget>
-        </item>
-       </layout>
-      </widget>
+      <layout class="QHBoxLayout">
+       <item>
+        <widget class="QLabel" name="labelRandMax">
+         <property name="text">
+          <string>Ma&amp;ximal:</string>
+         </property>
+         <property name="buddy">
+          <cstring>spinRandMax</cstring>
+         </property>
+        </widget>
+       </item>
+       <item>
+        <widget class="QSpinBox" name="spinRandMax">
+         <property name="sizePolicy">
+          <sizepolicy hsizetype="Fixed" vsizetype="Fixed">
+           <horstretch>0</horstretch>
+           <verstretch>0</verstretch>
+          </sizepolicy>
+         </property>
+         <property name="cursor">
+          <cursorShape>PointingHandCursor</cursorShape>
+         </property>
+         <property name="statusTip">
+          <string>Maximum for random number generation</string>
+         </property>
+         <property name="minimum">
+          <number>1</number>
+         </property>
+         <property name="maximum">
+          <number>1000</number>
+         </property>
+         <property name="value">
+          <number>10</number>
+         </property>
+        </widget>
+       </item>
+      </layout>
      </item>
     </layout>
-   </item>
-   <item>
-    <widget class="Line" name="lineHorizontal">
-     <property name="maximumSize">
-      <size>
-       <width>16777215</width>
-       <height>2</height>
-      </size>
-     </property>
-     <property name="frameShadow">
-      <enum>QFrame::Plain</enum>
-     </property>
-     <property name="lineWidth">
-      <number>2</number>
-     </property>
-     <property name="orientation">
-      <enum>Qt::Horizontal</enum>
+   </widget>
+   <widget class="QGroupBox" name="groupOutputSettings">
+    <property name="geometry">
+     <rect>
+      <x>131</x>
+      <y>10</y>
+      <width>95</width>
+      <height>88</height>
+     </rect>
+    </property>
+    <property name="title">
+     <string>Output settings:</string>
+    </property>
+    <widget class="QPushButton" name="buttonFont">
+     <property name="geometry">
+      <rect>
+       <x>10</x>
+       <y>24</y>
+       <width>75</width>
+       <height>24</height>
+      </rect>
+     </property>
+     <property name="cursor">
+      <cursorShape>PointingHandCursor</cursorShape>
+     </property>
+     <property name="statusTip">
+      <string>Font face for printing</string>
+     </property>
+     <property name="text">
+      <string>&amp;Font...</string>
+     </property>
+     <property name="icon">
+      <iconset resource="../resources/tspsg.qrc">
+       <normaloff>:/images/icons/fonts.png</normaloff>:/images/icons/fonts.png</iconset>
      </property>
     </widget>
-   </item>
-   <item>
-    <layout class="QHBoxLayout">
-     <property name="spacing">
-      <number>6</number>
-     </property>
-     <property name="margin">
-      <number>6</number>
-     </property>
-     <item>
-      <widget class="QToolButton" name="buttonHelp">
-       <property name="enabled">
-        <bool>false</bool>
-       </property>
-       <property name="cursor">
-        <cursorShape>PointingHandCursor</cursorShape>
-       </property>
-       <property name="toolTip">
-        <string>Help</string>
-       </property>
-       <property name="statusTip">
-        <string>Get preferences help</string>
-       </property>
-       <property name="text">
-        <string>Help</string>
-       </property>
-       <property name="icon">
-        <iconset resource="../resources/tspsg.qrc">
-         <normaloff>:/images/icons/help_hint.png</normaloff>:/images/icons/help_hint.png</iconset>
-       </property>
-       <property name="autoRaise">
-        <bool>true</bool>
-       </property>
-      </widget>
-     </item>
-     <item>
-      <widget class="QLabel" name="labelHint">
-       <property name="sizePolicy">
-        <sizepolicy hsizetype="Expanding" vsizetype="Preferred">
-         <horstretch>0</horstretch>
-         <verstretch>0</verstretch>
-        </sizepolicy>
-       </property>
-       <property name="minimumSize">
-        <size>
-         <width>0</width>
-         <height>28</height>
-        </size>
-       </property>
-       <property name="maximumSize">
-        <size>
-         <width>16777215</width>
-         <height>28</height>
-        </size>
-       </property>
-       <property name="statusTip">
-        <string>Hover mouse pointer over dialog elements to get additional help</string>
-       </property>
-       <property name="text">
-        <string/>
-       </property>
-       <property name="textFormat">
-        <enum>Qt::PlainText</enum>
-       </property>
-       <property name="alignment">
-        <set>Qt::AlignJustify|Qt::AlignTop</set>
-       </property>
-       <property name="wordWrap">
-        <bool>true</bool>
-       </property>
-      </widget>
-     </item>
-     <item>
-      <widget class="QPushButton" name="buttonOK">
-       <property name="cursor">
-        <cursorShape>PointingHandCursor</cursorShape>
-       </property>
-       <property name="statusTip">
-        <string>Save new preferences</string>
-       </property>
-       <property name="text">
-        <string>&amp;OK</string>
-       </property>
-       <property name="icon">
-        <iconset resource="../resources/tspsg.qrc">
-         <normaloff>:/images/icons/button_ok.png</normaloff>:/images/icons/button_ok.png</iconset>
-       </property>
-       <property name="default">
-        <bool>true</bool>
-       </property>
-      </widget>
-     </item>
-     <item>
-      <widget class="QPushButton" name="buttonCancel">
-       <property name="cursor">
-        <cursorShape>PointingHandCursor</cursorShape>
-       </property>
-       <property name="statusTip">
-        <string>Close without saving preferences</string>
-       </property>
-       <property name="text">
-        <string>&amp;Cancel</string>
-       </property>
-       <property name="icon">
-        <iconset resource="../resources/tspsg.qrc">
-         <normaloff>:/images/icons/button_cancel.png</normaloff>:/images/icons/button_cancel.png</iconset>
-       </property>
-      </widget>
-     </item>
-    </layout>
-   </item>
-  </layout>
+    <widget class="QPushButton" name="buttonColor">
+     <property name="geometry">
+      <rect>
+       <x>10</x>
+       <y>54</y>
+       <width>75</width>
+       <height>24</height>
+      </rect>
+     </property>
+     <property name="cursor">
+      <cursorShape>PointingHandCursor</cursorShape>
+     </property>
+     <property name="statusTip">
+      <string>Font color for printing</string>
+     </property>
+     <property name="text">
+      <string>&amp;Color...</string>
+     </property>
+     <property name="icon">
+      <iconset resource="../resources/tspsg.qrc">
+       <normaloff>:/images/icons/color_line.png</normaloff>:/images/icons/color_line.png</iconset>
+     </property>
+    </widget>
+   </widget>
+  </widget>
  </widget>
  <resources>
-  <include location="../resources/tspsg.qrc"/>
-  <include location="../resources/tspsg.qrc"/>
-  <include location="../resources/tspsg.qrc"/>
-  <include location="../resources/tspsg.qrc"/>
-  <include location="../resources/tspsg.qrc"/>
-  <include location="../resources/tspsg.qrc"/>
-  <include location="../resources/tspsg.qrc"/>
-  <include location="../resources/tspsg.qrc"/>
   <include location="../resources/tspsg.qrc"/>
  </resources>
